Herzlich willkommen!

1-abc.net WebDynamicer

1-abc.net WebDynamicer allows you to exchange parts of your website in batch mode. It’s the easiest way to have a dynamic website that keeps static anyway!

When Tim Berners-Lee released the first available documentation about html code worldwide on Christmas 1990, no one could expect the quantity and success of billions of websites nowadays. While only written information was meant to be the sense of web pages at that time, the world wide web grew up to a mixture of design and marketing, information and entertainment as it is today very fast.

Besides professional web designers, more and more semi-professionals are able create their own pages with tools like Macromedia Dreamweaver, Microsoft Frontpage or just with editors like notepad today. Since web design and content are changed very often, dynamic websites became very popular. These ones take the current information out of a database using technologies like PHP, Perl, MySQL and others. Dynamic websites allow webmasters and editors to make changes to the content, design or translation in seconds and - with the right content management system (CMS) - even without technical knowledge.

Unfortunately this technology takes loading time, a more comfortable but also more expensive hosting service is required and search engines can also get problems with it. So the expenditure developing such a dynamic website may simply be not worth it for smaller websites. On the other hand: static web pages can’t be edited easily, translation is nearly impossible and even small changes in the headline or exchanging a logo results in editing each single html file. So, until now, every web designer had to decide only between these two alternatives.

1-abc.net WebDynamicer is the long awaited solution for this! Just add some comments to the source code of your website and put changeable parts into template files – the program will exchange everything in all files just in a few seconds. Your websites stay static, but you have all editing advantages of dynamic websites. Headline changes, international websites, re-branded mirror web pages, outsourced text design without delivering the source code to 3rd parties, frame-free web design with tables that look like frames – everything is possible now!

Feature Overview:

  • Website modifications available for *.htm, *.html, *.php and *.pl files
  • Templates can be saved in *.ini or *.txt files
  • Configurable template identifiers for comments in HTML, PERL or PHP source code
  • Unlimited file import – your computer’s disk space is the only limit for the quantity of web files and templates
  • Program can be installed on hard drives, USB sticks, floppy disks and nearly all other re-writable media
  • Checking feature for start and end marks in web files and templates
  • Project management – add your files to the project only once and reload the whole project with all options next time
  • and much more …

Für Windows® 95/98/Me/NT/2000/XP

Chef-Entwickler & Dokumentation: Stefan Siegert
Copyright 2005 1-abc.net


Before you start working with this program …

As it is with all batch converters, please note that you allow this product to make changes on many files, even without additional warning messages – otherwise 1-abc.net WebDynamicer would not make much sense.

As comfortable as such a conversion mode is, please note that this also includes the danger to destroy your files when your template files or web files should not be prepared correctly. So please read the chapter “File Preparation” very patiently first.

Additionally, and this also concerns all batch conversions from image editing to batch renaming by the way, you should save your original files to another folder before you start any conversion working on it. These backups allow you to reverse your changes when any problems should occur.

The 1-abc.net team wishes you much fun with this product!


File Preparation

Web Files

To dynamize your web files, that include *.htm, *.html, *.pl and *.php files, you have to add new lines to the places where you want to exchange parts of the source code. These comments are used as identifiers. A HTML part, for example, starts with “<!-- 1-abc.net …” and ends with “<!-- 1-abc.net … end -->”, with “…” as the identification words of the part you want to make configurable. Both lines don’t have any influence on the browser’s behaviour because they are understood as comments.

Example:

     <html>
       <head>

         <!-- 1-abc.net Title -->
         <title>My website!</title>
         <!-- 1-abc.net Title end -->

       </head>
     </html>
This very simple website does not do anything else than opening a page with the title “My website!”. Line 3 and 5 allow 1-abc.net WebDynamicer to make changes to these parts, if a template file includes the identifier “<!-- 1-abc.net Title --> and the end mark too.

Template files

Template files are files that include data to be exchanged in the source code of your web files. You can take any kind of files as templates, but in general that will be *.ini, *.txt or *.htm/*.htm/*.pl/*.php files because these files are “simple enough” to keep best overview about your templates. Changes to your web files will only be made when the same identifiers are found in the template files.

Example:

     <!-- 1-abc.net Title -->
     <title>The most craziest website I ever made!</title>
     <!-- 1-abc.net Title end -->
If you dynamize the website described above with this template, the title would be changed to “The most craziest website I ever made!”. And when you want to change the title of many websites to this, it won’t take any time longer now.

Please note:

  • Any start and end identifier must stand alone in one line. Do never write an identifier in a line together with other parts of source code.
  • Make sure that you use the identifiers correctly, don’t delete the space between “end” and “-->” for example.
  • Please verify if every template start in the files also has an end.
  • As the definition of comments are different in other developing languages, for Perl scripts the default identifiers “# 1-abc.net … -->” and “# 1-abc.net … end -->” must be used. For PHP code the default identifiers are “// 1-abc.net … -->” and “// 1-abc.net … end -->”
  • Please use logical words in the identifier like “Title” (in the example above), “Headline for product xy” or “Copyright information 2005” to see on the first view, what this template is about.
  • If you want to change the identifiers, find more about this in the options chapter.


Menü

File

New Project
Click here to reset all settings and create a new project.

Open Project
When you previously saved your settings in a project file you can open this project again. Just select the project file that can be identified with the *.1abc extension.

Save Project
When you often make changes to your websites with this program it could make sense to save all your current settings to a project file that includes the paths of all web files and templates as well as the template identifiers. Click here to save the current project to the previously selected project file. If no project was opened or saved before, this feature is the same as “Save Project as”.

Save Project as …
When you often make changes to your websites with this program it could make sense to save all your current settings to a project file that includes the paths of all web files and templates as well as the template identifiers. Click here to enter a project name (extension is *.1abc) and to save the current project.

Exit
Select this option to leave the program. Changes in the current project are not saved.

Tools

Options
Allows you to open the options screen that is described here.

Check Files for Errors
This feature helps you to find out if there are as many template starts as there are template endings. It can’t protect you from checking your work completely, but allows a first check anyway. If you should get any error messages, please change the specific file and run this feature again.

Buy / Register

Get free Trial Key
From the first time you installed program it runs for 10 days for free. You can extend this trial period to 30 days easily when you register for a free trial key. Make sure that you are online. The key will be sent to you by e-mail.

Buy Full Version now
Click here to purchase the product online. You will be connected to an online shop where you have multiple payment options, after your payment is done, the full version key will be sent to you immediately.

Enter Key
When you have a trial key or a full version key you can enter it here to change the behaviour of the program. You should re-start the program after entering the key.

Help

Show Help File
Brings you to this help file. Whether you clicked there to read it now or you pressed “F1” which would be the other way to get it displayed.

Go to 1-abc.net Website
Visit the webpage of 1-abc.net. You will find more information about this product and other software there. Make sure that you are online.

About
Copyright information about this product.


Using the Main Screen

To work with 1-abc.net WebDynamicer is very easy. Here you can see how the main screen looks.

In the upper listbox you can add web files like *.html, *.htm, *.pl or *.php that will be modified in batch mode, the area below allows you to add the template files. Use the specific “Add” buttons for this.

When you want to start the batch conversion, just click the “Dynamize” button. Click here to find out more how to prepare the web files and how to create template files.


Options

This is the options dialog:

In this dialog you can define the template identifiers. The default defintions would be ...

For *.htm and *.html files:
<!-- 1-abc.net ... -->
<!-- 1-abc.net ... end -->

For *.pl files:
# 1-abc.net … -->
# 1-abc.net … end -->

For *.php files, also works for Java and C++ by the way:
// 1-abc.net … -->
// 1-abc.net … end -->

... with "..." as the place where you can give a name to the template.

If you want to use any other identifiers in your source code and template, please make these changes here. When you save the project, this information will be saved then too.

Additionally, in this dialog you can select after how many characters you want to break a path name in the main dialog if it should be too long.


About 1-abc.net …

1-abc.net software for the masses is a young company, founded 2005, consisting of ambitious and highly experienced developers, marketing experts, distributors, designers, translators and product managers. The head office is located in Germany, employees and freelancers are working from offices in seven countries all over the world.

1-abc.net's business activities include software development, software distribution and IT consulting. It’s planned to release at least 10 shareware products during the first year. And this is what users get:

  • Small setup files that can be downloaded even using slow internet connections
  • Easy installation processes, uninstaller is always included
  • No adware, spyware, popups or whatever extends software nowadays
  • Very easy to handle program interfaces
  • Software that really fulfils the customers’ needs – nothing more, but also nothing less
  • Fast possibility to extend the trial period by obtaining a free registration key

Support

1-abc.net
Hochheider Weg 8
26123 Oldenburg

Germany

Unfortunately we currently offer NO telephone support, please send your support questions to:

support@1-abc.net